Bug 737456 - [network] GNOME shell network indicator does not show status of radio hardware switch
Summary: [network] GNOME shell network indicator does not show status of radio hardwar...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 07:43 UTC by Oded Arbel
Modified: 2013-02-13 19:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:52:56 UTC


Attachments (Terms of Use)

Description Oded Arbel 2011-09-12 07:43:54 UTC
Description of problem:
In Fedora 14, if the radio hardware switch (RF kill switch) is switch off, the GNOME NetworkManager applet specifically says "wireless is disabled by hardware switch" - which is great because it lets the user know what they need to do to get wireless working.

In the GNOME shell NetworkManager applet on Fedora 15 (and also on 16), there is only a single "wireless switch" widget which can be turned on or off but with no information about why it is turned off - it can be either software in which case clicking it the wireless will turn on, or it could be the hardware switch, in which case clicking the on/off widget (after which the applet menu immediately disappear so you can't tell if it worked or not), will do nothing and the user has to open the menu again, see that it didn't work and - having no other information to work with - try again.

In Fedora 14, in contrast, if the hardware switch is blocking the wireless, then the option to turn the wireless on is grayed out to let the user know that this is not the way to continue and they need to find the hardware switch.

Version-Release number of selected component (if applicable):
0.9.0-2.fc16

How reproducible:
always

Steps to Reproduce:
1. turn off wireless using hardware switch, and forget about it
2. Open network manager applet menu to connect to a wireless, see that the wireless switch is "off", click it.
  
Actual results:
Wireless does not turn on, no notification of what is wrong is given to the user.

Expected results:
There should have been some notification that the hardware switch is in the way, before step 2 above, or barring that - after step 2.

Comment 1 Samuel Sieb 2012-03-28 00:28:11 UTC
I agree that there should be some indication in the menu why it is disabled.  However, I did notice that if you open the network settings, it says the wireless is unavailable and the airplane mode switch is set to on.

Comment 2 Jirka Klimes 2012-03-28 14:07:25 UTC
Reassigned to gnome-shell which is the proper component for the javascript applet.

Comment 3 Dan Winship 2012-03-29 18:55:16 UTC
If the hardware killswitch is active, then the switch in the menu should disappear and be replaced by "hardware disabled". And it does exactly that for me...

Is this still a problem with the latest versions?

Comment 4 Samuel Sieb 2012-03-29 19:35:12 UTC
Using gnome-shell-3.2.2.1-1.fc16.i686, the bluetooth menu shows "hardware disabled", but the wifi menu just has the switch off.

Comment 5 Fedora End Of Life 2013-01-16 16:20:04 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Samuel Sieb 2013-01-18 00:45:23 UTC
At least since F17, there is a "hardware disabled" note in the menu when the kill switch is on.

Comment 7 Fedora End Of Life 2013-02-13 19:53:00 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.